void setup() {
  size(700, 500);
  background(0);
  
  int columns = 24;
  int rows = 24;
  
  color[] clrs1 = new color[columns*rows];
  color[] clrs2 = new color[columns*rows];
  color[] clrs3 = new color[columns*rows];
  float[] strokeWeights = new float[columns*rows];
  
  int xPadding = -20;
  int yPadding = -50;
  
  float[] r1 = new float[16];
  float[] r2 = new float[16];
  
  float randomFactor = 10;
  int colorMin = 0;
  float maxWeight = 2;
  int overdraw = 5;
  
  for(int i = 0; i<r1.length; i++){
   r1[i] = random(-randomFactor);
   r2[i] = random(randomFactor);
  }
  
  for(int i = 0; i<clrs1.length; i++){
   clrs1[i] = colorMin + int(random(255-colorMin));
   clrs2[i] = colorMin + int(random(255-colorMin));
   clrs3[i] = colorMin + int(random(255-colorMin));
   
   strokeWeights[i] = random(maxWeight);
  }
  
  for(int i = 0; i<overdraw; i++){
  
  drawTable(r1, r2, clrs1,clrs2, clrs3, columns, rows, strokeWeights, xPadding, yPadding);
  }
  
}

void drawTable(float[] r1, float[] r2, color[] clrs1, color[] clrs2, color[] clrs3, int columns, int rows, float[] strokeWeights, int xPadding, int yPadding) {
  stroke(255);
  int[] caps = {ROUND, PROJECT, SQUARE};

  float w = (width-xPadding)/columns;
  float h = (height-yPadding)/rows;
  
  float columnSpan = (width-columns*w)/(columns+1);
  float rowSpan = (width-rows*h)/(rows+1);
  
  float x;
  float y = rowSpan;
  
  int counter = 0;

  for (int i = 0; i<rows; i++) {
    x = columnSpan;
    for (int j = 0, k = 0; j<columns; j++) {
      strokeCap(caps[k++]); 
      if (k>2) k=0; 

      stroke(clrs1[counter], clrs2[counter], clrs3[counter]);
      
      strokeWeight(strokeWeights[counter++]);
      
      

      line(x + random(r1[0], r2[0]), y+ random(r1[1],r2[1]), x+w+ random(r1[2], r2[2]), y+ random(r1[3],r2[3])); 
      line(x+w+ random(r1[4], r2[4]), y+ random(r1[5], r2[5]), x+w+ random(r1[6], r2[6]), y+h+ random(r1[7], r2[7])); 
      line(x+ random(r1[8], r2[8]), y+h+ random(r1[9], r2[9]), x+w+ random(r1[10], r2[10]), y+h+ random(r1[11], r2[11])); 
      line(x+ random(r1[12], r2[12]), y+h+ random(r1[13], r2[13]), x+ random(r1[14], r2[14]), y+ random(r1[15], r2[15])); 

      x+=w+columnSpan;
    }
    y+=h+rowSpan;
  }
}